#pragma once
#include "resource.h"
#include "ProgressDlgThread.h"
#include "SkinProgress.h"

// CWiatProgressDlg dialog

class CProgressDlgThread;
class CWiatProgressDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CWiatProgressDlg)

public:
	CWiatProgressDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CWiatProgressDlg();

	bool m_bInit;
	CString	m_txt;
	CString m_sTitle;
	CaplButton m_stop;
	CProgressDlgThread	*m_Thread;
	CProgressCtrl m_progress;

// Dialog Data
	enum { IDD = IDD_WIATPROGRESSDLG };

	void Exit();
	void SetTitle(const TCHAR *title);
	void SetText(const TCHAR * text);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	
	DECLARE_MESSAGE_MAP()

	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStop();
};
